#include <bits/stdc++.h>
using namespace std;

ifstream f1("DQXAU.inp");
ofstream f2("DQXAU.out");

void s(string a,long b)
{
    if (b>=1){
    f2<<a[b-1];
    s(a,b-1);
    }
}
int main()
{

    string d;
    getline(f1,d);
    s(d,d.length());

}
